## org.eclipse.emf.cdo.util
Class ServerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.cdo.common.util.CDOException
                      org.eclipse.emf.cdo.util.ServerException

All Implemented Interfaces:
  java.io.Serializable

    public class ServerException

extends CDOException

See Also:
  Serialized Form

Constructor Summary
`ServerException()`
`ServerException(java.lang.String message)`
`ServerException(java.lang.String message, java.lang.Throwable cause)`
`ServerException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerException

    public ServerException()

### ServerException

    public ServerException(java.lang.String message)

### ServerException

    public ServerException(java.lang.String message,
                           java.lang.Throwable cause)

### ServerException

    public ServerException(java.lang.Throwable cause)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.